## org.apache.myfaces.custom.crosstable
Class HtmlColumnsTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.custom.crosstable.HtmlColumnsTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlColumnsTag
extends HtmlComponentBodyTagBase

Version:
  $Revision: 231196 $ $Date: 2005-08-10 04:55:32 -0400 (Wed, 10 Aug 2005) $
Author:
  Mathias Broekelmann (latest modification by $Author: mbr $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlColumnsTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setFooterdir(java.lang.String footerdir)`
`void` `setFooterlang(java.lang.String footerlang)`
`void` `setFooteronclick(java.lang.String footeronclick)`
`void` `setFooterondblclick(java.lang.String footerondblclick)`
`void` `setFooteronkeydown(java.lang.String footeronkeydown)`
`void` `setFooteronkeypress(java.lang.String footeronkeypress)`
`void` `setFooteronkeyup(java.lang.String footeronkeyup)`
`void` `setFooteronmousedown(java.lang.String footeronmousedown)`
`void` `setFooteronmousemove(java.lang.String footeronmousemove)`
`void` `setFooteronmouseout(java.lang.String footeronmouseout)`
`void` `setFooteronmouseover(java.lang.String footeronmouseover)`
`void` `setFooteronmouseup(java.lang.String footeronmouseup)`
`void` `setFooterstyle(java.lang.String footerstyle)`
`void` `setFooterstyleclass(java.lang.String footerstyleclass)`
`void` `setFootertitle(java.lang.String footertitle)`
`void` `setHeaderdir(java.lang.String headerdir)`
`void` `setHeaderlang(java.lang.String headerlang)`
`void` `setHeaderonclick(java.lang.String headeronclick)`
`void` `setHeaderondblclick(java.lang.String headerondblclick)`
`void` `setHeaderonkeydown(java.lang.String headeronkeydown)`
`void` `setHeaderonkeypress(java.lang.String headeronkeypress)`
`void` `setHeaderonkeyup(java.lang.String headeronkeyup)`
`void` `setHeaderonmousedown(java.lang.String headeronmousedown)`
`void` `setHeaderonmousemove(java.lang.String headeronmousemove)`
`void` `setHeaderonmouseout(java.lang.String headeronmouseout)`
`void` `setHeaderonmouseover(java.lang.String headeronmouseover)`
`void` `setHeaderonmouseup(java.lang.String headeronmouseup)`
`void` `setHeaderstyle(java.lang.String headerstyle)`
`void` `setHeaderstyleclass(java.lang.String headerstyleclass)`
`void` `setHeadertitle(java.lang.String headertitle)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setVar(java.lang.String var)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlColumnsTag

    public HtmlColumnsTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  See Also:
    `UIComponentTag.getComponentType()`

### getRendererType

    public java.lang.String getRendererType()

  See Also:
    `UIComponentTag.getRendererType()`

### setVar

    public void setVar(java.lang.String var)

### setWidth

    public void setWidth(java.lang.String width)

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentBodyTagBase`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentBodyTagBase`
  See Also:
    `HtmlComponentBodyTagBase.release()`

### setFooterdir

    public void setFooterdir(java.lang.String footerdir)

### setFooterlang

    public void setFooterlang(java.lang.String footerlang)

### setFooteronclick

    public void setFooteronclick(java.lang.String footeronclick)

### setFooterondblclick

    public void setFooterondblclick(java.lang.String footerondblclick)

### setFooteronkeydown

    public void setFooteronkeydown(java.lang.String footeronkeydown)

### setFooteronkeypress

    public void setFooteronkeypress(java.lang.String footeronkeypress)

### setFooteronkeyup

    public void setFooteronkeyup(java.lang.String footeronkeyup)

### setFooteronmousedown

    public void setFooteronmousedown(java.lang.String footeronmousedown)

### setFooteronmousemove

    public void setFooteronmousemove(java.lang.String footeronmousemove)

### setFooteronmouseout

    public void setFooteronmouseout(java.lang.String footeronmouseout)

### setFooteronmouseover

    public void setFooteronmouseover(java.lang.String footeronmouseover)

### setFooteronmouseup

    public void setFooteronmouseup(java.lang.String footeronmouseup)

### setFooterstyle

    public void setFooterstyle(java.lang.String footerstyle)

### setFooterstyleclass

    public void setFooterstyleclass(java.lang.String footerstyleclass)

### setFootertitle

    public void setFootertitle(java.lang.String footertitle)

### setHeaderdir

    public void setHeaderdir(java.lang.String headerdir)

### setHeaderlang

    public void setHeaderlang(java.lang.String headerlang)

### setHeaderonclick

    public void setHeaderonclick(java.lang.String headeronclick)

### setHeaderondblclick

    public void setHeaderondblclick(java.lang.String headerondblclick)

### setHeaderonkeydown

    public void setHeaderonkeydown(java.lang.String headeronkeydown)

### setHeaderonkeypress

    public void setHeaderonkeypress(java.lang.String headeronkeypress)

### setHeaderonkeyup

    public void setHeaderonkeyup(java.lang.String headeronkeyup)

### setHeaderonmousedown

    public void setHeaderonmousedown(java.lang.String headeronmousedown)

### setHeaderonmousemove

    public void setHeaderonmousemove(java.lang.String headeronmousemove)

### setHeaderonmouseout

    public void setHeaderonmouseout(java.lang.String headeronmouseout)

### setHeaderonmouseover

    public void setHeaderonmouseover(java.lang.String headeronmouseover)

### setHeaderonmouseup

    public void setHeaderonmouseup(java.lang.String headeronmouseup)

### setHeaderstyle

    public void setHeaderstyle(java.lang.String headerstyle)

### setHeaderstyleclass

    public void setHeaderstyleclass(java.lang.String headerstyleclass)

### setHeadertitle

    public void setHeadertitle(java.lang.String headertitle)